%define	name	ecawave
%define	version	0.6.1
%define	release	1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	GUI for Ecasound audio suite
License:	GPL
Source:		%{name}-%{version}.tar.bz2
Source1:	%{name}48.png.bz2
Source2:	%{name}32.png.bz2
Source3:	%{name}16.png.bz2
URL:		http://www.wakkanet.fi/~kaiv/ecawave/
Group:		Sound
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:	ecasound >= 2.1
BuildRequires:	libecasound-devel libqt3-devel libaudiofile-devel libexpat-devel
BuildRequires:	libpng-devel libjpeg-devel libglib-devel freetype2-devel libmng-devel
BuildRequires:	XFree86-devel zlib-devel libalsa-devel libarts-devel

%description
Ecawave is a simple graphical audio file editor. The user-interface is
based on Qt libraries, while almost all audio functionality is taken 
directly from ecasound libraries. As ecawave is designed for editing 
large audio files, all processing is done direct-to-disk. Simple 
waveform caching is used to speed-up file operations. Ecawave supports
all audio file formats and effect algorithms provided by ecasound
libraries. This includes OSS, ALSA, aRts, over 20 file formats, over 30
effect types, LADSPA plugins and multi-operator effect presets.

%prep
%setup -q
perl -p -i -e 's/ecasound8/ecasound/g' configure
perl -p -i -e 's/lqt/lqt\-mt/g' `find -name 'Makefile.in'`

%build
%configure	--with-qt-dir=/usr/lib/qt3 \
		--with-qt-includes=/usr/lib/qt3/include \
		--with-qt-libraries=/usr/lib/qt3/lib 

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#icons
install -d $RPM_BUILD_ROOT/{%{_liconsdir},%{_miconsdir}}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png

# Menu
install -d $RPM_BUILD_ROOT/%{_menudir}
cat > $RPM_BUILD_ROOT/%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" needs="X11" \
icon="%{name}.png" section="Multimedia/Sound" \
title="EcaWave" longtitle="Multitrack audio editing"
EOF

%post
%update_menus
		
%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc BUGS COPYING NEWS README Documentation/* TODO
%{_bindir}/%{name}
%{_mandir}/man1/eca*
%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Thu Jun 5 2003 Austin Acton <aacton@yorku.ca> 0.6.1-1mdk
- 0.6.1

* Sat Mar 15 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.6.0-2mdk
- fix BuildRequires

* Fri Mar 14 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.6.0-1mdk
- 0.6.0
- rm -rf buildroot in install
- nicer formatting, cleanups, more consistent .spec
- added libqt3-devel to BuildRequires
- replace obsolete Copyright tag with License tag
- bzip2 all sources

* Sat Jan 11 2003 Austin Acton <aacton@yorku.ca> 0.5dev1-1mdk
- initial package
